Package org.optaplanner.core.impl.heuristic.selector.value

## Class AbstractValueSelector<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.AbstractSelector<Solution_>
  - - org.optaplanner.core.impl.heuristic.selector.value.AbstractValueSelector<Solution_>

- All Implemented Interfaces:
    `EventListener`, `Selector<Solution_>`, `ValueSelector<Solution_>`, `PhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`
  Direct Known Subclasses:
    `AbstractCachingValueSelector`, `DowncastingValueSelector`, `EntityDependentSortingValueSelector`, `FilteringValueSelector`, `FromEntityPropertyValueSelector`, `FromSolutionPropertyValueSelector`, `InitializedValueSelector`, `MimicRecordingValueSelector`, `MimicReplayingValueSelector`, `NearEntityNearbyValueSelector`, `ProbabilityValueSelector`, `ReinitializeVariableValueSelector`, `SelectedCountLimitValueSelector`

      public abstract class AbstractValueSelector<Solution_>
      extends AbstractSelector<Solution_>
      implements ValueSelector<Solution_>

  Abstract superclass for `ValueSelector`.
  See Also:
    `ValueSelector`

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `logger, phaseLifecycleSupport, workingRandom`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractValueSelector()` |

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `getCacheType, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector

      `getCacheType, isCountable, isNeverEnding`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.value.ValueSelector

      `endingIterator, getSize, getVariableDescriptor, iterator`

- - ### Constructor Detail

    - #### AbstractValueSelector

          public AbstractValueSelector()